diff --git a/config.mk.in b/config.mk.in
index ae29f27..c0b7e3d 100644
--- a/config.mk.in
+++ b/config.mk.in
@@ -11,7 +11,7 @@ includedir = @includedir@
 libdir = @libdir@
 mandir = @mandir@
 datadir = @datadir@
-docdir = ${datadir}/doc/rudiments
+docdir = @docdir@
 
 # compiler to use
 CC = @CC@
@@ -21,7 +21,7 @@
 AR = @AR@
 
 # includes and defines
-BASECPPFLAGS = @WALL@ @WERROR@ @CPPFLAGS@ @PTHREADINCLUDES@ @SSLINCLUDES@ @PCREINCLUDES@
+BASECPPFLAGS = @WALL@ @CPPFLAGS@ @PTHREADINCLUDES@ @SSLINCLUDES@ @PCREINCLUDES@
 
 # debug and optimization flags (-g, -O2, etc.)
 # NOTE: -FPIC gets added if we're not using libtool
diff --git a/configure.ac b/configure.ac
index d82ea0e..290a80b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -28,7 +28,7 @@ AC_ARG_WITH(pthread-prefix,
 	PTHREADPATH="")
 AC_ARG_ENABLE(ssl,
 	[  --disable-ssl           Disable SSL support],
-	ENABLE_RUDIMENTS_SSL="no",
+	ENABLE_RUDIMENTS_SSL="$enableval",
 	ENABLE_RUDIMENTS_SSL="yes")
 AC_ARG_WITH(ssl-includes,
 	[  --with-ssl-includes     SSL includes],
@@ -40,7 +40,7 @@ AC_ARG_WITH(ssl-libs,
 	SSLLIBS="")
 AC_ARG_ENABLE(pcre,
 	[  --disable-pcre          Don't use PCRE for regular expressions],
-	ENABLE_RUDIMENTS_PCRE="no",
+	ENABLE_RUDIMENTS_PCRE="$enableval",
 	ENABLE_RUDIMENTS_PCRE="yes")
 AC_ARG_WITH(pcre-includes,
 	[  --with-pcre-includes    PCRE includes],
@@ -56,7 +56,7 @@ AC_ARG_ENABLE(built-in-regex,
 	USE_BUILT_IN_REGULAREXPRESSION="0")
 AC_ARG_ENABLE(threads,
 	[  --disable-threads       Disable thread support],
-	ENABLE_RUDIMENTS_THREADS="no"; INCLUDE_THREAD="0"; INCLUDE_THREADMUTEX="0",
+	ENABLE_RUDIMENTS_THREADS="$enableval"; INCLUDE_THREAD="0"; INCLUDE_THREADMUTEX="0",
 	ENABLE_RUDIMENTS_THREADS="yes")
 
 dnl   options to disable building various classes
@@ -3716,6 +3716,10 @@ if ( test "`echo $datadir | cut -c1`" = "/" )
 then
 	datadir='${DESTDIR}'"$datadir"
 fi
+if ( test "`echo $docdir | cut -c1`" = "/" )
+then
+	docdir='${DESTDIR}'"$docdir"
+fi
 
 
 dnl Output files.
diff --git a/src/Makefile.in b/src/Makefile.in
index a224d83..3b990fb 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -4,7 +4,7 @@ include ../config.mk
 
 .PHONY: all clean install uninstall
 
-CPPFLAGS = $(WERROR) $(BASECPPFLAGS) -I../ -I../include @EXTRACPPFLAGS@
+CPPFLAGS = $(BASECPPFLAGS) -I../ -I../include @EXTRACPPFLAGS@
 
 SRCS = namevaluepairs.cpp winsock.cpp @SRCS@
 LOBJS = namevaluepairs.lo winsock.lo @LOBJS@
--- a/acsite.m4	2014-05-04 01:44:03.265919456 +0400
+++ b/acsite.m4	2014-05-04 01:44:34.008920936 +0400
@@ -266,7 +237,7 @@
 	dnl Sometimes -Wall includes -Wunused-variables and -Wunused-parameters
 	dnl which we don't care about.  Disable it if it does.
 	OLDCPPFLAGS=$CPPFLAGS
-	CPPFLAGS="$WALL $WERROR $CPPFLAGS"
+	CPPFLAGS="$WALL $CPPFLAGS"
 	AC_MSG_CHECKING(whether -Wall includes -Wunused-*)
 	AC_TRY_COMPILE([void f(int a) { return; }],[f(1);],AC_MSG_RESULT(no),WALL=""; AC_MSG_RESULT(yes))	
 	CPPFLAGS=$OLDCPPFLAGS
